/*
  inputdialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __INPUTDIALOG_H__
#define __INPUTDIALOG_H__

#include <qdialog.h>

class QLineEdit;

class InputDialog : public QDialog
{
	Q_OBJECT

  public:
	InputDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
	~InputDialog();

	void setText(QString const &str);
	QString getText();

  protected:
	QLineEdit *line;
};

#endif // __INPUTDIALOG_H__
